Bug 770696 - Issue with PHP code
Summary: Issue with PHP code
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: swig
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-28 11:41 UTC by Remi Collet
Modified: 2013-04-30 23:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-05 12:30:08 UTC


Attachments (Terms of Use)
Fix PHP code for php 5.4 (463 bytes, patch)
2011-12-28 11:41 UTC, Remi Collet
no flags Details | Diff

Description Remi Collet 2011-12-28 11:41:18 UTC
Created attachment 549816 [details]
Fix PHP code for php 5.4

I'm working on PHP 5.4 for fedora 17.

Build of graphiz (which use swig) fails because of generated code

zend_rsrc_list_get_rsrc_type return a const char * (not a char *)

Build error:
gv_php.cpp: In function 'void* SWIG_ZTS_ConvertResourcePtr(zval*, swig_type_info*, int)':
gv_php.cpp:933:56: error: invalid conversion from 'const char*' to 'char*' [-fpermissive]


The trivial attached patch fixes this issue and is already applied on swig SVN.

I hope an update (rawhide only), with this patch (or a new swig version, if available) will be possible.

Comment 1 Adam Tkac 2012-01-05 12:30:08 UTC
Thanks for the report, swig-2.0.4-5.fc17 should be OK.


Note You need to log in before you can comment on or make changes to this bug.